1. Security Event
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Security Event

Index

Developing
GET
http://127.0.0.1:8000/api/security_events
Retrieves a list of all security events registered in the system.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/security_events' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "data": [
        {
            "id": 1,
            "device_id": 1,
            "user_role": "admin",
            "event_type": "multiple_failed_logins",
            "description": "Multiple failed login attempts detected.",
            "source_ip": "10.0.0.5",
            "severity": "high",
            "event_date": "2026-06-05 13:46:37",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 2,
            "device_id": 2,
            "user_role": "analyst",
            "event_type": "sql_injection_attempt",
            "description": "Possible SQL Injection attack detected.",
            "source_ip": "185.22.10.4",
            "severity": "critical",
            "event_date": "2026-06-05 13:46:37",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 3,
            "device_id": 1,
            "user_role": "viewer",
            "event_type": "unauthorized_access",
            "description": "Unauthorized access attempt detected on protected admin endpoint.",
            "source_ip": "192.168.20.145",
            "severity": "low",
            "event_date": "2026-06-17 10:28:00",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 5,
            "device_id": 2,
            "user_role": "admin",
            "event_type": "multiple_failed_logins",
            "description": "Multiple failed login attempts detected from the same source IP.",
            "source_ip": "10.0.0.45",
            "severity": "low",
            "event_date": "2026-05-28 12:05:00",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 6,
            "device_id": 2,
            "user_role": "admin",
            "event_type": "multiple_failed_logins",
            "description": "Multiple failed login attempts detected from the same source IP.",
            "source_ip": "10.0.0.45",
            "severity": "low",
            "event_date": "2026-05-28 12:05:00",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 7,
            "device_id": 3,
            "user_role": "viewer",
            "event_type": "port_scan_detected",
            "description": "Multiple connection attempts detected across several ports.",
            "source_ip": "172.16.1.55",
            "severity": "low",
            "event_date": "2026-06-22 09:20:00",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 8,
            "device_id": 2,
            "user_role": "admin",
            "event_type": "multiple_failed_logins",
            "description": "Multiple failed login attempts detected from the same source IP.",
            "source_ip": "10.0.0.45",
            "severity": "low",
            "event_date": "2026-05-28 12:05:00",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 9,
            "device_id": 3,
            "user_role": "analyst",
            "event_type": "privilege_escalation_attempt",
            "description": "Suspicious attempt to gain elevated privileges detected on a workstation.",
            "source_ip": "192.168.20.178",
            "severity": "critical",
            "event_date": "2026-05-28 13:45:00",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 10,
            "device_id": 2,
            "user_role": "admin",
            "event_type": "failed_login",
            "description": "Multiple failed login attempts detected from external IP.",
            "source_ip": "8.8.8.8",
            "severity": "medium",
            "event_date": "2026-06-20 12:00:00",
            "abuse_confidence_score": null,
            "country_code": null,
            "usage_type": null,
            "isp": null,
            "is_tor": 0,
            "ip_reputation_status": null
        },
        {
            "id": 11,
            "device_id": 3,
            "user_role": "analyst",
            "event_type": "privilege_escalation_attempt",
            "description": "Suspicious privilege escalation activity detected from an external source.",
            "source_ip": "1.1.1.1",
            "severity": "high",
            "event_date": "2026-06-21 14:30:00",
            "abuse_confidence_score": 0,
            "country_code": "AU",
            "usage_type": "Content Delivery Network",
            "isp": "APNIC and Cloudflare DNS Resolver project",
            "is_tor": 0,
            "ip_reputation_status": "clean"
        },
        {
            "id": 12,
            "device_id": 3,
            "user_role": "analyst",
            "event_type": "privilege_escalation_attempt",
            "description": "Suspicious privilege escalation activity detected from an external source.",
            "source_ip": "1.1.1.1",
            "severity": "high",
            "event_date": "2026-06-21 14:30:00",
            "abuse_confidence_score": 0,
            "country_code": "AU",
            "usage_type": "Content Delivery Network",
            "isp": "APNIC and Cloudflare DNS Resolver project",
            "is_tor": 0,
            "ip_reputation_status": "clean"
        }
    ]
}
Modified at 2026-06-19 14:34:26
Previous
Delete
Next
Show
Built with